MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024387Open CASCADE[OCCT] OCCT:Testspublic2013-11-20 14:152016-04-20 15:48
Reporterapl 
Assigned Toski 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024387: Tests - use system-independent fonts in test cases
DescriptionThe cases for testing dimension presentations of AIS package should be revised to enable usage of a predefined font from test files database. This would ensure that generated graphical text primitives will be platform-independent - so, will do all of the dimension features which depend on text geometry (selection, auto-orientation, label positioning).

The generic font file should be added to test file database.
Then, the font can be registered for use by "vfont add" command.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files? file icon DejaVuSans.ttf (756,072 bytes) 2015-08-21 14:07
? file icon DejaVuSansMono.ttf (340,240 bytes) 2015-08-24 12:18
? file icon DejaVuSerif.ttf (379,740 bytes) 2015-08-24 12:18

- Relationships
related to 0024386closedbugmaster Open CASCADE Provide high-level API to specify font by user-defined path for AIS (Prs3d) aspects 
related to 0024293closedbugmaster Open CASCADE Dimension flyout lines don't belong to the dimension sensitive entity. 
related to 0025235closedbugmaster Open CASCADE Draw Harness - improve commands vdimension and vdimparam 

-  Notes
(0044502)
git (administrator)
2015-08-21 14:06

Branch CR24387 has been created by isk.

SHA-1: d0fb25c3889091b6d478d09e4b57d37711936ec0


Detailed log of new commits:

Author: isk
Date: Fri Aug 21 14:05:17 2015 +0300

    0024387: Use identical fonts in test cases for AIS dimension presentations.
    Add a new parameter "-font FontName" to the command "vdimension".
(0044503)
isk (developer)
2015-08-21 14:36

Dear Kirill,
please review the branch CR24387.
(0044508)
git (administrator)
2015-08-21 15:45

Branch CR24387 has been updated forcibly by isk.

SHA-1: 24a197e33d842c7cbaccd0c9110c164e64d503c9
(0044530)
kgv (developer)
2015-08-24 10:38

Dear Ilya,

-vdrawtext OC0 OpenCascade -pos -300 -300 -300 -color 0.0 1.0 0.0 -halign left -valign bottom -angle 
000 -zoom 0 -height 15 -aspect regular -font Courier
+vdrawtext OC0 OpenCascade -pos -300 -300 -300 -color 0.0 1.0 0.0 -halign left -valign bottom -angle 
000 -zoom 0 -height 15 -aspect regular -font SansFont
...
-vdrawtext OC0 OpenCascade  -pos 100  100 -400 -color 0.0 1.0 1.0 -halign left -valign bottom -angle 
000 -zoom 1 -height 50 -aspect regular -font Times-Roman
...
-vdrawtext OC18 OpenCascade -pos -200 -200 150 -color 0.0 1.0 1.0 -halign left -valign bottom -angle 
010 -zoom 0 -height 15 -aspect regular -font Arbat
-vdrawtext OC19 OpenCascade -pos -200 -200 200 -color 1.0 1.0 0.0 -halign left -valign bottom -angle 
010 -zoom 0 -height 15 -aspect italic -font Elephant
-vdrawtext OC20 OpenCascade -pos -200 -200 250 -color 0.0 1.0 0.02 -halign left -valign bottom -angle 
010 -zoom 0 -height 15 -aspect bolditalic -font RockWell
+vdrawtext OC18 OpenCascade -pos -200 -200 150 -color 0.0 1.0 1.0 -halign left -valign bottom -angle 
010 -zoom 0 -height 15 -aspect regular -font SansFont
+vdrawtext OC19 OpenCascade -pos -200 -200 200 -color 1.0 1.0 0.0 -halign left -valign bottom -angle 
010 -zoom 0 -height 15 -aspect italic -font SansFont
+vdrawtext OC20 OpenCascade -pos -200 -200 250 -color 0.0 1.0 0.02 -halign left -valign bottom -angle 
010 -zoom 0 -height 15 -aspect bolditalic -font SansFont
...
-vdrawtext Text0 "  Top-Left\nFirst line  \nLion   The Second\n  3rd  " -pos -700  100  600 
-color 0.0 1.0 1.0 -halign left -valign top -angle 000 -zoom 0 -height 14 -aspect bold -font Arial
+vdrawtext Text0 "  Top-Left\nFirst line  \nLion   The Second\n  3rd  " -pos -700  100  600 
-color 0.0 1.0 1.0 -halign left -valign top -angle 000 -zoom 0 -height 14 -aspect bold -font SansFont


different fonts in test cases have been used by intention.
Please use appropriate replacement for each standard font.
(0044534)
git (administrator)
2015-08-24 12:09

Branch CR24387 has been updated forcibly by isk.

SHA-1: 95df8f7a266c3f064f0e18d1b4caa065b50db799
(0044548)
kgv (developer)
2015-08-24 15:11

Please test the patch.
Notice that:
- Attached files should be added to database (if not already).
- Screenshots changes are expected, please check visually that there are logically correct.
(0044642)
apv (tester)
2015-08-26 11:17

Dear BugMaster,

Branch CR24387 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 95df8f7a266c3f064f0e18d1b4caa065b50db799

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
    Linux: 39 (39 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR24387-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR24387-master-occt-64/Windows-64-VC10/summary.html [^]
bugs vis bug21091_4, bug21091_5, bug21091_6, bug21091_8, bug25732_1 (Linux only)

Testing on Linux:
Total MEMORY difference: 90162614 / 91504283 [-1.47%]
Total CPU difference: 17661.48999999921 / 17458.66999999893 [+1.16%]

Testing on Windows:
Total MEMORY difference: 57025130 / 57043316 [-0.03%]
Total CPU difference: 16407.607976298998 / 16695.679422899113 [-1.73%]

There are differences in images found by testdiff:
http://occt-tests/CR24387-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR24387-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
(0044664)
git (administrator)
2015-08-26 14:49

Branch CR24387 has been updated by isk.

SHA-1: 8557069b539e71440d34cce021c2ce4e58998e77


Detailed log of new commits:

Author: isk
Date: Wed Aug 26 14:14:18 2015 +0300

    Fix test case bugs/vis/bug25732_1

(0044665)
git (administrator)
2015-08-26 14:53

Branch CR24387_1 has been created by isk.

SHA-1: db8016a2290e3bc1fc489bbdae96eee5f9206f34


Detailed log of new commits:

Author: isk
Date: Wed Aug 26 14:51:53 2015 +0300

    0024387: Use identical fonts in test cases for AIS dimension presentations.
    Add a new parameter "-font FontName" to the command "vdimension".
(0044666)
isk (developer)
2015-08-26 14:54

Please test the patch
(0044710)
git (administrator)
2015-08-27 11:57

Branch CR24387_1 has been updated by apv.

SHA-1: 8cddfca17a10826b10572d5b62cabe842d833f68


Detailed log of new commits:

Author: apv
Date: Thu Aug 27 11:57:17 2015 +0300

    Tuning of test-cases

(0044712)
apv (tester)
2015-08-27 12:03

Dear BugMaster,

Branch CR24387_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: db8016a2290e3bc1fc489bbdae96eee5f9206f34

Number of compiler warnings:
occt component:
    Linux: 15 (15 on master)
    Windows: 0 (0 on master)
products component:
    Linux: 39 (39 on master)
    Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90446565 / 91596157 [-1.26%]
Total CPU difference: 17931.009999999347 / 17715.559999998943 [+1.22%]

Testing on Windows:
Total MEMORY difference: 57039859 / 57056248 [-0.03%]
Total CPU difference: 16462.80113009897 / 16696.724629599114 [-1.40%]

There are differences in images found by testdiff:
http://occt-tests/CR24387-1-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR24387-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
(0046849)
git (administrator)
2015-10-16 16:08

Branch CR24387 has been deleted by kgv.

SHA-1: 8557069b539e71440d34cce021c2ce4e58998e77
(0046964)
git (administrator)
2015-10-16 16:37

Branch CR24387_1 has been deleted by kgv.

SHA-1: 8cddfca17a10826b10572d5b62cabe842d833f68

- Related Changesets
occt: master 6fb1a930
Timestamp: 2015-08-27 11:30:44
Author: isk
Committer: ski
Details ] Diff ]
0024387: Tests - use system-independent fonts in test cases

Add a new parameter "-font FontName" to the command "vdimension".
Tuning of test-cases
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - tests/3rdparty/export/A2 Diff ] File ]
mod - tests/3rdparty/export/A3 Diff ] File ]
mod - tests/3rdparty/export/A4 Diff ] File ]
mod - tests/3rdparty/export/A5 Diff ] File ]
mod - tests/3rdparty/export/A6 Diff ] File ]
mod - tests/3rdparty/export/A7 Diff ] File ]
mod - tests/3rdparty/fonts/A2 Diff ] File ]
mod - tests/3rdparty/fonts/A3 Diff ] File ]
mod - tests/3rdparty/fonts/A4 Diff ] File ]
mod - tests/3rdparty/fonts/A5 Diff ] File ]
mod - tests/3rdparty/fonts/A6 Diff ] File ]
mod - tests/3rdparty/fonts/A7 Diff ] File ]
add - tests/3rdparty/fonts/A8 Diff ] File ]
mod - tests/3rdparty/fonts/B1 Diff ] File ]
mod - tests/3rdparty/fonts/B2 Diff ] File ]
mod - tests/3rdparty/fonts/B3 Diff ] File ]
mod - tests/bugs/vis/bug21091_4 Diff ] File ]
mod - tests/bugs/vis/bug21091_5 Diff ] File ]
mod - tests/bugs/vis/bug21091_6 Diff ] File ]
mod - tests/bugs/vis/bug21091_7 Diff ] File ]
mod - tests/bugs/vis/bug21091_8 Diff ] File ]
mod - tests/bugs/vis/bug21091_9 Diff ] File ]
mod - tests/bugs/vis/bug22796_1 Diff ] File ]
mod - tests/bugs/vis/bug22796_3 Diff ] File ]
mod - tests/bugs/vis/bug22879 Diff ] File ]
mod - tests/bugs/vis/bug23652 Diff ] File ]
mod - tests/bugs/vis/bug23654_MarkersRecompute Diff ] File ]
mod - tests/bugs/vis/bug24131_markers Diff ] File ]
mod - tests/bugs/vis/bug24133_1 Diff ] File ]
mod - tests/bugs/vis/bug24133_2 Diff ] File ]
mod - tests/bugs/vis/bug24133_3 Diff ] File ]
mod - tests/bugs/vis/bug24133_4 Diff ] File ]
mod - tests/bugs/vis/bug24288_1 Diff ] File ]
mod - tests/bugs/vis/bug24288_2 Diff ] File ]
mod - tests/bugs/vis/bug24288_3 Diff ] File ]
mod - tests/bugs/vis/bug24293 Diff ] File ]
mod - tests/bugs/vis/bug24351_1 Diff ] File ]
mod - tests/bugs/vis/bug24351_2 Diff ] File ]
mod - tests/bugs/vis/bug24351_3 Diff ] File ]
mod - tests/bugs/vis/bug24351_4 Diff ] File ]
mod - tests/bugs/vis/bug24374 Diff ] File ]
mod - tests/bugs/vis/bug24389 Diff ] File ]
mod - tests/bugs/vis/bug24412_1 Diff ] File ]
mod - tests/bugs/vis/bug24412_2 Diff ] File ]
mod - tests/bugs/vis/bug24555 Diff ] File ]
mod - tests/bugs/vis/bug24837_2 Diff ] File ]
mod - tests/bugs/vis/bug25121 Diff ] File ]
mod - tests/bugs/vis/bug25369 Diff ] File ]
mod - tests/bugs/vis/bug25403 Diff ] File ]
mod - tests/bugs/vis/bug25732_1 Diff ] File ]
mod - tests/bugs/vis/bug25732_2 Diff ] File ]
mod - tests/bugs/vis/bug25783_1 Diff ] File ]
mod - tests/bugs/vis/bug25783_2 Diff ] File ]
mod - tests/bugs/vis/bug26035_1 Diff ] File ]
mod - tests/bugs/vis/bug26035_2 Diff ] File ]
mod - tests/bugs/vis/bug26035_3 Diff ] File ]
mod - tests/bugs/vis/bug26035_4 Diff ] File ]
mod - tests/bugs/vis/bug26035_5 Diff ] File ]
mod - tests/bugs/vis/bug26035_6 Diff ] File ]
mod - tests/bugs/vis/bug26149 Diff ] File ]
mod - tests/demo/draw/bug23745 Diff ] File ]
mod - tests/v3d/raytrace/bug24819 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-20 14:15 apl New Issue
2013-11-20 14:15 apl Assigned To => apl
2013-11-20 14:15 apl Status new => assigned
2013-11-20 14:15 apl Relationship added related to 0024386
2013-11-20 14:15 apl Relationship added related to 0024133
2013-11-20 14:15 apl Relationship added related to 0024288
2013-11-20 14:16 apl Relationship added related to 0024293
2013-11-20 14:16 apl Relationship added related to 0024351
2013-11-20 14:16 apl Relationship added related to 0024326
2013-11-20 14:19 apl Summary Use identical fonts in test cases for AIS_Dimension => Use identical fonts in test cases for AIS dimension presentations
2013-12-12 10:50 san Target Version 6.7.0 => 6.7.1
2014-04-04 18:32 abv Target Version 6.7.1 => 6.8.0
2014-09-24 14:59 kgv Relationship added related to 0025235
2014-09-25 17:39 san Target Version 6.8.0 => 7.1.0
2015-08-20 14:19 kgv Assigned To apl => isk
2015-08-20 14:19 kgv Target Version 7.1.0 => 7.0.0
2015-08-21 14:06 git Note Added: 0044502
2015-08-21 14:07 isk File Added: DejaVuSans.ttf
2015-08-21 14:36 isk Note Added: 0044503
2015-08-21 14:36 isk Assigned To isk => kgv
2015-08-21 14:36 isk Status assigned => resolved
2015-08-21 14:36 isk Steps to Reproduce Updated View Revisions
2015-08-21 14:42 kgv Assigned To kgv => isk
2015-08-21 14:42 kgv Status resolved => assigned
2015-08-21 15:45 git Note Added: 0044508
2015-08-24 08:41 isk Assigned To isk => kgv
2015-08-24 08:41 isk Status assigned => resolved
2015-08-24 10:38 kgv Note Added: 0044530
2015-08-24 10:38 kgv Assigned To kgv => isk
2015-08-24 10:38 kgv Status resolved => assigned
2015-08-24 12:09 git Note Added: 0044534
2015-08-24 12:18 isk File Added: DejaVuSansMono.ttf
2015-08-24 12:18 isk File Added: DejaVuSerif.ttf
2015-08-24 15:06 isk Assigned To isk => kgv
2015-08-24 15:06 isk Status assigned => resolved
2015-08-24 15:11 kgv Note Added: 0044548
2015-08-24 15:11 kgv Assigned To kgv => bugmaster
2015-08-24 15:11 kgv Status resolved => reviewed
2015-08-24 15:47 apv Assigned To bugmaster => apv
2015-08-24 21:14 kgv Category OCCT:Visualization => OCCT:Tests
2015-08-24 21:14 kgv Summary Use identical fonts in test cases for AIS dimension presentations => Tests - use system-independent fonts in test cases
2015-08-26 11:17 apv Note Added: 0044642
2015-08-26 11:17 apv Assigned To apv => isk
2015-08-26 11:17 apv Status reviewed => assigned
2015-08-26 14:49 git Note Added: 0044664
2015-08-26 14:53 git Note Added: 0044665
2015-08-26 14:54 isk Assigned To isk => kgv
2015-08-26 14:54 isk Status assigned => resolved
2015-08-26 14:54 isk Note Added: 0044666
2015-08-26 14:54 isk Assigned To kgv => bugmaster
2015-08-26 14:54 isk Status resolved => reviewed
2015-08-26 15:01 apv Assigned To bugmaster => apv
2015-08-27 11:57 git Note Added: 0044710
2015-08-27 12:03 apv Note Added: 0044712
2015-08-27 12:03 apv Assigned To apv => bugmaster
2015-08-27 12:03 apv Status reviewed => tested
2015-08-27 12:04 apv Test case number => Not needed
2015-08-28 11:44 ski Changeset attached => occt master 6fb1a930
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-08-31 09:16 isk Relationship added related to 0026343
2015-10-16 16:08 git Note Added: 0046849
2015-10-16 16:37 git Note Added: 0046964
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker